FANDOM


Elastix logo 1

Elastix FAQ - Getting StartedEdit

Whats next now I have the system up and running?Edit

There is still some basic configuration that needs to take place such as assigning IP address, setup of DNS, etc, etc. As this is a FAQ and not a full blown tutorial, I recommend reading Elastix Without Tears which has a chapter on Networking, including how to configure correctly.

Remember if you configure incorrectly, you could impact on some of the features of your PBX system such as voicetoemail not working.

Take the time to get the right configuration. Simple things like selecting your router for DNS, instead of a DNS server that exists in your office, means that you end up having to manually configure your mail settings.

Can I upgrade everything so that I have the latest versions of everything?Edit

One of the first urges once you have your system up and running is to make sure you have all the latest updates. Resist this urge. When a stable ISO is released, it has generally been through a beta test cycle of a month or two, running on test systems and some production systems. There are many people who participate in this and across a variety of systems, and on the whole most issues are corrected before a stable release is made available.

Freepbx is saying that updates are available, can't I update these modules at least?Edit

Again I refer back to the previous question and answer, however, in general, updating Freepbx modules is quite safe and in many cases there are corrections in the Freepbx structure that are warranted. Again the caveat here is only upgrade the modules that remain within the version of Freepbx that came with your Stable Elastix Version. e.g. it is reasonably safe to upgrade the Freepbx Queues module from 2.5.12 to 2.5.17 as the original base Freepbx that comes on Elastix 1.5 and Elastix 1.6 was freepbx 2.5.x.

There is a module in Freepbx that is for upgrading to the next version of Freepbx e.g. 2.5 to 2.6. Can I perform this step?Edit

A strong recommendation is to not upgrade between major version releases like the one mentioned. These numbered changes usually involve a structural change under the hood that could have a serious impact on your Elastix PBX operation. This structural change might be something as simple as a linked file or a new directory, but unless you know exactly what to sort out, no one else may do either.

As an example, several adventurous users upgraded from 2.5 to 2.6, and all initial reports came back as working. Several more performed the upgrade and in came the various problem reports such as I can't add a Virtual fax, or my Reception console is no longer showing the trunks, I am getting a blank screen when I enter the GUI after my last change.

At this point you are on your own, yes some more capable users might be able to help out, and tell you what to change, but do you want your production PBX system hanging on a reply from someone who may or may not be back online for several days, and you have to remember, he has to work to earn a living and family to attend to and getting back on a forum is not one of his highest priorities.

Stay within the bounds, keep your system as standard as the Stable ISO, and you will find a large amount of people who can help you. Even users that have test setups and Virtual Server setups that can check your issue by loading up the version that you have as it is quick and simple, but move away from standard, they won't waste their time trying to get an exact replication of your system if it is going to take an hour or so.

So why does Elastix leave that upgrade option available in Freepbx?Edit

Elastix is a tightly integrated set of components from various sources. Whilst many of these components are preconfigured as part of the ISO, they make all attempts to integrate the product with all functions and parts as the author originally intended. The developers of Elastix produce a product that is for everyone, both the new user and seasoned user/developer. They can't guess what is needed and what isn't.

So when will Freepbx be upgraded to the next major version e.g. 2.5 to 2.6?Edit

As the need for new features that are included in Freepbx becomes important to users, either by requests on the forums, or even internally within Palosanto, when they prepare a new version of the Elastix stable version, they will incorporate the later version. This is needed so that the developers can check all the tightly knit integration is still correct, make corrections to the various other modules, and also plan for the scripting that is required for systems that are already in production and require upgrading.

Ad blocker interference detected!


Wikia is a free-to-use site that makes money from advertising. We have a modified experience for viewers using ad blockers

Wikia is not accessible if you’ve made further modifications. Remove the custom ad blocker rule(s) and the page will load as expected.